import 'package:flutter/material.dart';

import 'package:provider/provider.dart';

import 'package:pshared/provider/payment/payments.dart';

import 'package:pweb/controllers/operations/report_operations.dart';
import 'package:pweb/pages/report/operations/view.dart';


class OperationHistoryPage extends StatelessWidget {
  const OperationHistoryPage({super.key});

  @override
  Widget build(BuildContext context) {
    return ChangeNotifierProxyProvider<PaymentsProvider, ReportOperationsController>(
      create: (_) => ReportOperationsController(),
      update: (_, payments, controller) => controller!..update(payments),
      child: const OperationHistoryView(),
    );
  }
}
